POST api/order/search
Request Information
URI Parameters
None.
Body Parameters
OrderSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| PersonId | globally unique identifier |
None. |
|
| PlacedFrom | date |
None. |
|
| PlacedTo | date |
None. |
|
| Status | string |
None. |
|
| Statuses | Collection of integer |
None. |
|
| Start | integer |
None. |
|
| Length | integer |
None. |
|
| ExternalOrders | boolean |
None. |
|
| OnlyParadiseOrders | boolean |
None. |
|
| ShortUnique | string |
None. |
|
| SelectedCampaigns | Collection of globally unique identifier |
None. |
|
| SelectedProducts | Collection of globally unique identifier |
None. |
|
| IncludeExternalOrders | boolean |
None. |
|
| CountryCodes | Collection of string |
None. |
|
| Currencies | Collection of string |
None. |
Request Formats
application/json, text/json
Sample:
{
"personId": "b831f31a-0bdc-4d02-ad2b-01c34831292a",
"placedFrom": "2026-07-10T06:04:42.7842111+02:00",
"placedTo": "2026-07-10T06:04:42.7842111+02:00",
"status": "sample string 1",
"statuses": [
1,
2
],
"start": 2,
"length": 3,
"externalOrders": true,
"onlyParadiseOrders": true,
"shortUnique": "sample string 4",
"selectedCampaigns": [
"6c20bedc-b61d-4b23-9ad7-c4f78113cf30",
"d4662e18-f3dd-455a-af9f-a82d9acb3de5"
],
"selectedProducts": [
"d0ccff02-c31d-4612-9527-f269d48e3862",
"e13b9894-1b13-4864-bf6b-3875c40c0a9a"
],
"includeExternalOrders": true,
"countryCodes": [
"sample string 1",
"sample string 2"
],
"currencies": [
"sample string 1",
"sample string 2"
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.